{
  description = "LiteNet services flake";

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-unstable";
    };

    nixpkgs-master = {
      url = "github:NixOS/nixpkgs/master";
    };

    nixpkgs-Draupnir = { # Draupnir module/package
      url = "github:TheArcaneBrony/nixpkgs/master";
    };

    home-manager = {
      url = "github:nix-community/home-manager/master";
    };

    Rory-Open-Architecture = {
      url = "git+https://cgit.rory.gay/Rory-Open-Architecture.git";
      flake = false;
    };
  };

  outputs =
    inputs: with inputs; {
      nixosConfigurations = {
        matrix = nixpkgs.lib.nixosSystem {
          system = "x86_64-linux";
          modules = [
            ./host/matrix/configuration.nix
            ./hardware-configuration.nix

            #./modules/packages/ooye/packages/module.nix
            ./host/matrix/matrix/ooye.nix
            ./host/matrix/unstable-overlay.nix

            home-manager.nixosModules.home-manager

            # Rory&'s user
            (
              { config, ... }:
              {
                programs.dconf.enable = true;
              }
            ) # Fix for home-manager failing to deploy
            (Rory-Open-Architecture + "/modules/users/Rory.nix")
          ];
          specialArgs = inputs;
        };
        
        moduleDevEnv = nixpkgs.lib.nixosSystem {
          system = "x86_64-linux";
          modules = [
            ./host/module-dev-env/configuration.nix
            home-manager.nixosModules.home-manager
            (Rory-Open-Architecture + "/modules/users/Rory.nix")
          ];
          specialArgs = inputs;
        };
      };
    };
}
