{
  lib,
  fetchgit,
  makeWrapper,
  nodejs,
  buildNpmPackage,
}:

buildNpmPackage rec {
  pname = "out-of-your-element";
  version = "0";
  src = fetchgit {
    url = "https://gitdab.com/cadence/out-of-your-element.git";
    rev = "07d6eb3c1272c2526a4749724c07c4fd530893d4";
    sha256 = "3Y6s9pNKKeqF6s4I2Rd4TpxXPCwqizXeil/sTDVnpr0=";
  };
  npmDepsHash = "sha256-1STam+Sjy2MQcK5TmRacoxmgErd2sNqw0yIFX2M+iZk=";
  dontNpmBuild = true;

  nativeBuildInputs = [ makeWrapper ];

  installPhase = ''
    runHook preInstall

    mkdir -p $out/share
    cp -a . $out/share/ooye
    makeWrapper ${nodejs}/bin/node $out/bin/matrix-ooye --add-flags $out/share/ooye/start.js
    makeWrapper ${nodejs}/bin/node $out/bin/matrix-ooye-addbot --add-flags $out/share/ooye/addbot.js

    runHook postInstall
  '';

  meta = with lib; {
    description = "A Matrix Discord bridge";
    homepage = "https://gitdab.com/cadence/out-of-your-element";
    longDescription = ''
      Cool.
    '';
    license = licenses.gpl3;
    #maintainers = with maintainers; [ RorySys ];
    mainProgram = "matrix-ooye";
  };
}
