{
  config,
  pkgs,
  lib,
  ...
}:

{
  nixpkgs.overlays = [
    #(import ./vm-overrides/systemd-overlay.nix)
    #(import ./vm-overrides/grub-overlay.nix)
  ];
  environment.systemPackages = with pkgs; [
    (callPackage ./vm-overrides/resize.nix { })
  ];

  users = {
    mutableUsers = false;
    users = {
      root.password = "root";
      Rory = {
        password = "password";
      };
    };
  };
  services.getty.autologinUser = "Rory";
  services.getty.loginProgram = (
    pkgs.writeShellScript "ephemeral-shell" ''
      #!${lib.getExe pkgs.zsh}
      ${pkgs.shadow.su}/bin/su -l -s ${lib.getExe pkgs.zsh} Rory; poweroff
    ''
  );
  
  #other imported stuff

  networking.useDHCP = lib.mkForce true;

  boot.supportedFilesystems = lib.mkForce [ ];
  hardware.enableRedistributableFirmware = lib.mkForce false;
  #environment.systemPackages = lib.mkForce [  ];
  documentation.enable = lib.mkForce false;
  documentation.nixos.enable = lib.mkForce false;
  networking.wireless.enable = lib.mkForce false;
  system.extraDependencies = lib.mkForce [ ];
  boot = {
    loader = {
      grub.memtest86.enable = false;
      #systemd-boot.enable = true;
      grub.enable = lib.mkForce false;
      timeout = lib.mkForce 1;
    };

    #kernelPackages = pkgs.linuxPackages_latest;
    systemdExecutable = "${pkgs.systemd}/bin/init";

    enableContainers = lib.mkForce false;
  };
  #system.switch.enable = lib.mkForce false;
  programs.less.lessopen = lib.mkForce null;
  programs.command-not-found.enable = lib.mkForce false;
  environment.defaultPackages = lib.mkForce [ ];
  documentation.info.enable = lib.mkForce false;
  documentation.man.enable = false;
  system = {
    #activatable = false;
    #copySystemConfiguration = false;
    #includeBuildDependencies = false;
    #disableInstallerTools = lib.mkForce true;
    #build = {
    #  separateActivationScript = true;
    #};
  };
  #nix.enable = false;
  networking.firewall.enable = false;
  networking.networkmanager.enable = false;
  systemd.coredump.enable = false;
  services.timesyncd.enable = false;

  services.nscd.enableNsncd = false;
  networking.dhcpcd.enable = false;
  services.udev.enable = true;
  services.nscd.enable = false;
  system.nssModules = lib.mkForce [ ];

  systemd.oomd.enable = false;
  security = {
    loginDefs = {
      settings = {
        ENCRYPT_METHOD = "MD5";
      };
    };
  };
  services.lvm.enable = lib.mkForce false;
  boot.initrd.services.lvm.enable = lib.mkForce false;
  boot.initrd.systemd.suppressedUnits = [
    "systemd-hibernate-clear.service"
  ];

  systemd.suppressedSystemUnits = [
    "systemd-hibernate-clear.service"
    "systemd-bootctl@.service"
    "systemd-bootctl.socket"
  ];
}
